Bug 2244124 - Review Request: crow-translate - A simple and lightweight translator
Summary: Review Request: crow-translate - A simple and lightweight translator
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-13 21:34 UTC by Artem
Modified: 2024-02-26 15:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
The .spec file difference from Copr build 6524378 to 6524428 (446 bytes, patch)
2023-10-13 22:19 UTC, Fedora Review Service
no flags Details | Diff
The .spec file difference from Copr build 6524428 to 6947075 (2.40 KB, patch)
2024-01-24 15:34 UTC, Fedora Review Service
no flags Details | Diff

Description Artem 2023-10-13 21:34:50 UTC
Spec URL: https://atim.fedorapeople.org/crow-translate.spec
SRPM URL: https://atim.fedorapeople.org/crow-translate-2.10.10-1.fc39.src.rpm

Description:
Crow Translate is a simple and lightweight translator written in C++ / Qt that
allows you to translate and speak text using Google, Yandex, Bing,
LibreTranslate and Lingva translate API. You may also be interested in my
library QOnlineTranslator used in this project.

Fedora Account System Username: atim

Comment 1 Artem 2023-10-13 21:34:53 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=107461088

Comment 3 Fedora Review Service 2023-10-13 22:19:10 UTC
Created attachment 1993820 [details]
The .spec file difference from Copr build 6524378 to 6524428

Comment 4 Benson Muite 2023-10-14 06:08:25 UTC
Is it possible to unbundle qonlinetranslator, qhotkey, qtaskbarcontrol and singleapplication
and package them separately?

Comment 5 Artem 2023-10-14 09:44:09 UTC
(In reply to Benson Muite from comment #4)

Filed upstream issue https://github.com/crow-translate/crow-translate/issues/615

I think some of them could unbundled, but some not since they are modified versions of original modules. For example 'qhotkey' i've also bundle for QOwnNotes and it could be reused in this case https://src.fedoraproject.org/rpms/qownnotes/blob/f39/f/qownnotes.spec#_23

Comment 8 Robert-André Mauchin 🐧 2023-10-28 09:31:40 UTC
could you try to unbundle the stuff?

Comment 9 Artem 2023-10-28 12:08:42 UTC
(In reply to Robert-André Mauchin 🐧 from comment #8)
> could you try to unbundle the stuff?

No, explanation in Specfile:
# https://github.com/crow-translate/crow-translate/issues/615#issuecomment-1762779870

Comment 10 Beck Liu 2023-12-19 12:30:04 UTC
Take the review.

1. update to the latest release for now.

2. I think the licenses listed are not correct. Since the bundled dependencies are not avoidable, so you should add their licenses to license field.

3.
> %global appid io.crow_translate.CrowTranslate

The variable is not used.

Comment 11 Artem 2024-01-24 15:18:42 UTC
(In reply to Beck Liu from comment #10)
> 1. update to the latest release for now.

Done. 

> 2. I think the licenses listed are not correct. Since the bundled
> dependencies are not avoidable, so you should add their licenses to license
> field.

Indeed, fixed.

> 3.
> > %global appid io.crow_translate.CrowTranslate
> 
> The variable is not used.

Fixed.

Thanks for review!

---

https://download.copr.fedorainfracloud.org/results/atim/playground/fedora-rawhide-x86_64/06947009-crow-translate/crow-translate.spec
https://download.copr.fedorainfracloud.org/results/atim/playground/fedora-rawhide-x86_64/06947009-crow-translate/crow-translate-2.11.1-1.fc40.src.rpm

Comment 12 Fedora Review Service 2024-01-24 15:34:33 UTC
Created attachment 2010225 [details]
The .spec file difference from Copr build 6524428 to 6947075

Comment 13 Fedora Review Service 2024-01-24 15:34:35 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6947075
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2244124-crow-translate/fedora-rawhide-x86_64/06947075-crow-translate/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 14 Artem 2024-02-14 19:47:30 UTC
Hello. If there is no more issues can we proceed please?


Note You need to log in before you can comment on or make changes to this bug.